package com.zm.order.tool.server.hint;

import com.zm.order.tool.server.model.OrderPayDetails;
import com.zm.order.tool.server.query.OrderPayDetailsQuery;
import com.zm.order.tool.server.query.OrderQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author 陈标
 * @Date 2020/3/25 14:57
 */
@Repository
public interface HintOrderPayDetailsDao {


    /**
     * 扫描
     * @param query
     * @return:
     * @Date: 2020/12/21 5:06 PM
     */
    List<OrderPayDetails> scan(OrderQuery query);

    List<OrderPayDetails> selectIdList(OrderPayDetailsQuery query);

    List<OrderPayDetails> scanList(OrderPayDetailsQuery query);


    int updateBizType(@Param("bizType") Integer bizType, @Param("orderNoList") List<String> orderNoList);

    int updateBizTypeBaking(@Param("bizType") Integer bizType, @Param("orderNoList") List<String> orderNoList);

    /**
     * 扫描
     *
     * @param list
     * @return
     */
    List<OrderPayDetails> listById(@Param("list") List<Long> list);

    List<Long> scanId(OrderPayDetailsQuery query);

    void delete(List<Long> list);

    void batchUpdateDate(List<Long> list);

    void updateBatchOrderBaking(List<OrderPayDetails> list);

    /**
     * 扫描
     */
    List<OrderPayDetails> scanByOrderNo(@Param("orderNoList") List<String> orderNoList);

    /**
     * 扫描
     */
    List<OrderPayDetails> checkPay();

}
